// StrawberryView.h : interface of the CStrawberryView class
//
#pragma once

class CStrawberryCntrItem;

class CStrawberryView : public CRichEditView
{
protected: // create from serialization only
	CStrawberryView();
	DECLARE_DYNCREATE(CStrawberryView)

// Attributes
public:
	CStrawberryDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
  virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);

// Implementation
public:
	virtual ~CStrawberryView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnDestroy();
	afx_msg void OnCancelEditSrvr();

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
public:
	afx_msg void OnChange();

	DECLARE_MESSAGE_MAP()
  afx_msg void OnEditPaste();
  afx_msg void OnEditMyUndo();
  afx_msg void OnUpdateEditMyUndo(CCmdUI *pCmdUI);
  afx_msg void OnEditMyRedo();
  afx_msg void OnUpdateEditMyRedo(CCmdUI *pCmdUI);
  afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
};

#ifndef _DEBUG  // debug version in StrawberryView.cpp
inline CStrawberryDoc* CStrawberryView::GetDocument() const
   { return reinterpret_cast<CStrawberryDoc*>(m_pDocument); }
#endif

